Subject: [quicwg/base-drafts] Ben Kaduk's TLS Comment 4 (#4480)

From: Lucas Pardue <[email-masked]>
Date: Tue, 05 Jan 2021 18:49:12 -0800

@kaduk said:

> Section 4
> 
>    QUIC carries TLS handshake data in CRYPTO frames, each of which
>    consists of a contiguous block of handshake data identified by an
>    offset and length.  Those frames are packaged into QUIC packets and
>    encrypted under the current TLS encryption level.  [...]
> 
> I'm not sure I understand the benefit of specifically calling this a
> "TLS encryption level".  While it's true that the keys are being
> provided by TLS, the cryptographic mechanisms being used are applied by
> QUIC.  Furthermore, there's a 1:1 correspondence between the QUIC and
> TLS encryption levels, so perhaps it is acceptable to not have a
> qualifier at all (for just "under the current encryption level").
> 
>    One important difference between TLS records (used with TCP) and QUIC
>    CRYPTO frames is that in QUIC multiple frames may appear in the same
>    QUIC packet as long as they are associated with the same packet
>    number space.  [...]
> 
> I'm a bit confused as to what analogy is being made here.  It seems to
> be equating TLS records and QUIC frames, but of course multiple DTLS
> records can appear in a single UDP datagram, so the difference between
> QUIC and DTLS does not seem quite so large as depicted here.  Of course,
> if the analogy is supposed to be between TLS handshake messages and QUIC
> frames, or TLS records and QUIC packets, then things would be different,
> but I'm not sure what this is intended to say.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4480

---

From: Martin Thomson <[email-masked]>
Date: Tue, 05 Jan 2021 20:22:17 -0800

This is really two comments, but I think we can dispense with both at the same time as the first is really trivial:

1. The use of "TLS encryption level" is an unnecessary redundancy and inconsistent with other usage, so we can easily remove "TLS" there.
2. The start of that paragraph is cruft.  I'm going to suggest we only keep the last sentence, which was unquoted in this issue.  But then I see that we are missing important context, so I'm going to suggest a little bit of text to replace it.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4480#issuecomment-755068609

---

From: Martin Thomson <[email-masked]>
Date: Wed, 06 Jan 2021 22:54:29 -0800

Closed #4480 via #4561.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4480#event-4178462831